# std::mutex Class Reference
[Mutexes]

mutex More...

List of all members.

## Public Types

- typedef __native_type * native_handle_type

## Public Member Functions

- void lock ()
- mutex (const mutex &)
- native_handle_type native_handle ()
- mutex & operator= (const mutex &)
- bool try_lock ()
- void unlock ()

## Detailed Description

mutex

Definition at line 63 of file mutex.

The documentation for this class was generated from the following file:

- mutex